org.apache.commons.io.input

## Class UnsupportedOperationExceptions

- java.lang.Object
- - org.apache.commons.io.input.UnsupportedOperationExceptions

-     final class UnsupportedOperationExceptions
      extends Object

  Package-private factory for `UnsupportedOperationException` to provide messages with consistent formatting.

  TODO Consider making this public and use from LineIterator but this feels like it belongs in LANG rather than IO.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedOperationExceptions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static UnsupportedOperationException` | `mark()` Constructs a new instance of UnsupportedOperationException for a `mark` method.
    `(package private) static UnsupportedOperationException` | `method(String method)` Constructs a new instance of UnsupportedOperationException for the given unsupported a `method` name.
    `(package private) static UnsupportedOperationException` | `reset()` Constructs a new instance of UnsupportedOperationException for a `reset` method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedOperationExceptions

          UnsupportedOperationExceptions()

  - ### Method Detail

    - #### mark

          static UnsupportedOperationException mark()

      Constructs a new instance of UnsupportedOperationException for a `mark` method.
      Returns:
        a new instance of UnsupportedOperationException

    - #### method

          static UnsupportedOperationException method(String method)

      Constructs a new instance of UnsupportedOperationException for the given unsupported a `method` name.
      Parameters:
        `method` - A method name
      Returns:
        a new instance of UnsupportedOperationException

    - #### reset

          static UnsupportedOperationException reset()

      Constructs a new instance of UnsupportedOperationException for a `reset` method.
      Returns:
        a new instance of UnsupportedOperationException